TSUNG(1)

NAME
tsung - A distributed multi-protocol load testing tool.

SYNOPSIS

tsung [ -f configuration file ] [ -l log dir ] [ -m filename ] [ -r command ] [ -X directory ] [ -w delay ] [ -L lifetime ] [ -s ] [ -n ] [ -k ] [ -v ] [ -6 ] [ -h ] [ start|stop|debug|status ]

DESCRIPTION

tsung is a distributed load testing tool. It is protocol-independent and can currently be used to stress and benchmark HTTP, WebDAV, LDAP, PostgreSQL, MySQL and Jabber/XMPP servers.

It simulates user behaviour using an XML description file, reports many measurements in real time (statistics can be customized with transactions, and graphics generated using gnuplot).

For HTTP, it supports 1.0 and 1.1, has a proxy mode to record sessions, supports GET and POST methods, Cookies, and Basic WWW-authentication. It also has support for SSL.

Several config examples can be found in /usr/share/doc/tsung/examples/.

start
    start tsung load testing

debug
    start tsung with an interactive erlang shell

stop
    stop tsung

status
    print current status of a running instance of tsung (must be run on the controller host)

MANUAL

A manual should be available at /usr/share/doc/tsung/user_manual.html. It is also available online at

    http://tsung.erlang-projects.org/user_manual.html

OPTIONS

-f filename
    specifies the configuration file to use. The default file name is ~/.tsung/tsung.xml. Use - for standard input

-l logdir
    Specifies the log directory to use. The default log dir name is ~/.tsung/log/YYYYMMDD-HHMM/

-m monitoring_file
    Specifies the monitoring log file name to use. The default log file name is tsung.log. Use - for standard output

-r command
    Specifies an alternative to ssh (rsh for ex.) for starting a slave node on a remote host

-i id
    set controller id (default is empty). Needed to start several controllers on the same host.

-F  Use long names for erlang nodes (FQDN)

-s  Enable erlang smp on client nodes

-p  set maximum erlang processes per vm (default is 250000)

-X directory
    add additional erlang load paths (multiple -X arguments allowed)

-L lifetime
    SSL session lifetime in seconds (600 sec by default)

-w delay
    warmup delay in seconds (1 sec by default)

-v  Show version

-n  disable web GUI

-k  keep web GUI (and controller) alive after the test has finished

-6  Use IPv6 for tsung internal communications

-h  Show usage

BUGS

Please reports bugs to the mailing list <tsung-users@process-one.net>, see

    https://lists.process-one.net/mailman/listinfo/tsung-users

for archives. You can also use the issue tracker

    https://github.com/processone/tsung/issues

SEE ALSO

erlang(3)

AUTHORS

Tsung is written by Nicolas Niclausse <nicolas@niclux.org>. Contributors list is available in /usr/share/doc/tsung/CONTRIBUTORS